@echo off

set InputApp=genefer22g_windows64_22.12.02.exe

set Kolik=%1%
if NOT "%~1"=="" GOTO DeviceGPU

:Chybka
echo *** Ocekavam prvni parametr, ktery urcuje pocet testu k pripraveni ***
echo * Napr. Start_priprava_testu.bat 1

set Kolik=1
set /p Kolik=Kolik testu:
if not '%Kolik%'=='' set Kolik=%Kolik%

:DeviceGPU
set DeviceGPU=%2
IF NOT [%2] == [] GOTO CoTestovat_N

@echo:
echo *** Ocekam druhý parametr, ktery urcuje Device GPU, tedy na kterem zarizeni se bude pocitat ***
echo * Vyplnujte jen tehdy, pokud mate napr. integrovanou i externi grafiku nebo vice externich GPU %Kolik% 0

set DeviceGPU=0
set /p DeviceGPU=Device GPU:
if not '%DeviceGPU%'=='' set DeviceGPU=%DeviceGPU:~0,2%


:CoTestovat_N
set enko=%3
IF NOT [%3] == [] GOTO CoTestovat_B

@echo:
echo *** Ocekam treti parametr, ktery urcuje jake B, napr. 17 pro GFN17 (131072)

set enko=17
set /p enko=Zadej hodnotu N pro GFN, jinak pouziji vychozi:
if not '%enko%'=='' set enko=%enko%

:CoTestovat_B
set becko=%4
IF NOT [%4] == [] GOTO Poustej

@echo:
echo *** Ocekam ctvrty parametr, ktery urcuje jake B, napr. 126345206 (pro 126345206 na N+1)

set becko=126345206
set /p becko=Zadej hodnotu B pro GFN, jinak pouziji vychozi:
if not '%becko%'=='' set becko=%becko%

:Poustej
@echo:
ECHO ** Pripravim %Kolik% testu na Device GPU %DeviceGPU% po %KolikTreadu% threadech a budu testovat GFN%enko%^^%becko%+1 **
rem timeout 3

:Kopiruj
ECHO *** Pripravuji...
for /l %%x in (1,1,%Kolik%) do (
 ECHO * Kopiruji TestGFNCPU_%%x
  mkdir TestGFNCPU_%%x
  cd TestGFNCPU_%%x
  copy /Y ..\_InputApps\%InputApp%
  rem echo %InputApp% -q %Kandidat% -nt %KolikTreadu% >_Run_this_app.bat
  echo %InputApp% -p -f gproof -n %enko% -b %becko% -d %DeviceGPU% >_Run_this_app.bat
  cd ..
 ECHO * Poustim test c. %%x...
 start _start_testu.cmd TestGFNCPU_%%x _Run_this_app.bat
 timeout 2
 )
@echo:
ECHO *** Melo by bezet %Kolik% testu ***
timeout 10

EXIT